/*
**
**	vsprintf.h
**
**	Used on Lua5 to PalmOS Port, by Jos Machado
**
**	vsprintf header file.
**
*/

#define ZEROPAD 1		  /* pad with zero */
#define SIGN	2		  /* unsigned/signed long */
#define PLUS	4		  /* show plus */
#define SPACE   8		  /* space if plus */
#define LEFT	16		 /* left justified */
#define SPECIAL 32		 /* 0x */
#define LARGE   64		 /* use 'ABCDEF' instead of 'abcdef' */


int snprintf	(char * buf, int n, const char *fmt, va_list args);
int	sprintf		(char * buf, const char *fmt, ...);

void printf		(const char * format, ...);
