/************************************************************************
 *
 *   Palmcon Consultoria Ltda.
 *
 *   PalmFLD.h
 *
 *   Header de PalmFLD.c, biblioteca padro de manipulao de fields
 *
 *   Histrico:
 *   =========
 * 
 *   18/05/2002 - JSM
 *      - Criao da biblioteca
 *      - Adicionada funo FldHandleToField
 *      - Adicionada funo FldStrToField
 *      - Adicionada funo FldFieldToStr
 *      - Adicionada funo FldSetEditable
 *      - Adicionada funo FldSetNumeric
 *      - Adicionada funo FldSetSingleLine
 *
 ************************************************************************/
#ifndef __FieldHeader
   #define __FieldHeader


/************************************************************************
 *
 *  Constantes
 *
 ************************************************************************/


/************************************************************************
 *
 *  Prottipos das Funes visveis ao sistema
 *
 ************************************************************************/
extern FieldPtr  FldHandleToField (unsigned int fieldID, MemHandle txtH);
extern FieldPtr  FldStrToField    (unsigned int fieldID, const char * strP);
extern void      FldFieldToStr    (char * Destino,  unsigned int fieldID);
extern void      FldSetEditable   (unsigned int fieldId, Boolean estado);
extern void      FldSetNumeric    (unsigned int fieldId, Boolean numerico);
extern void      FldSetSingleLine (unsigned int fieldId, Boolean umalinha);

/**/
#endif